## org.apache.xalan.xsltc
Class ProcessorVersion

    java.lang.Object
      org.apache.xalan.xsltc.ProcessorVersion

    public class ProcessorVersion

extends java.lang.Object

Admin class that assigns a version number to the XSLTC software. The version number is made up from three fields as in: MAJOR.MINOR[.DELTA]. Fields are incremented based on the following: DELTA field: changes for each bug fix, developer fixing the bug should increment this field. MINOR field: API changes or a milestone culminating from several bug fixes. DELTA field goes to zero and MINOR is incremented such as: {1.0,1.0.1,1.0.2,1.0.3,...1.0.18,1.1} MAJOR field: milestone culminating in fundamental API changes or architectural changes. MINOR field goes to zero and MAJOR is incremented such as: {...,1.1.14,1.2,2.0} Stability of a release follows: X.0 > X.X > X.X.X

Author:
  G. Todd Miller

Constructor Summary
`ProcessorVersion()`

Method Summary
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessorVersion

    public ProcessorVersion()

Method Detail

### main

    public static void main(java.lang.String[] args)

Copyright © 2005 Apache XML Project. All Rights Reserved.